QGIS Application - Feature request #5093
Cancel current canvas redraw on a new redraw request
2012-02-27 05:13 AM - marisn -

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 14857
Description

Currently QGIS executes all map canvas redraw requests sequentially despite the fact that new redraw requests have been issued and
thus it makes no sense to complete current canvas rendering.
Steps to reproduce:

- Add many WMS layers/large vector layers to ensure that map canvas rendering will take noticeable time;

- Zoom-in/out by mouse scroller;

- Observe how QGIS becomes unresponsive till all scroll initiated rendering requests have been completed.

How it could work - on an incoming rendering request (zoom, pan etc.), current rendering should be discontinued and a new rendering
should be started. Such behavior would provide users a more responsive QGIS experience.

History

#1 - 2012-10-06 02:18 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have
#2 - 2015-12-08 07:33 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Status changed from Open to Closed

Hello, bug triage...

this is fixed in QGIS 2.13 and in previous versions. There is a new rendering engine and when | zoom when the first rendering isn't finished, QGIS just

starts a new rendering at the new zoom level.

| am closing this bug.
